QGIS Application - Bug report #17086

Composer items excluded from export get exported to PDF

2017-08-29 01:28 PM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.12 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24985
Description

When setting Exclude item from exports checkbox on composer items, some of them get exported to PDF anyway.

Attached is a QGIS project with sample composer and it's PDF output.

This can also be easily reproduced by creating a new composer, adding items, excluding them from export and then hitting Export to

PDF.

Associated revisions

Revision 89c38ed2 - 2017-09-02 04:47 AM - Nyall Dawson

[composer] Fix node based items (line/polygon) ignore exclude
from export setting

Fixes #17086

Revision 14ce8b5b - 2017-09-02 05:20 AM - Nyall Dawson

[composer] Fix node based items (line/polygon) ignore exclude
from export setting

Fixes #17086

(forward port from 89c38ed)

History

#1 - 2017-09-02 05:19 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|89c38ed24ab2c84eea79b20965c388752a1437e5.

Files

composer_export_error.qgs 19 KB 2017-08-29 Nikolay Lebedev

export_output.pdf 9.23 KB 2017-08-29 Nikolay Lebedev
